| Kea 3.0.2-git

ncr_generator.cc File Reference
`#include <config.h>`
`#include <dhcp/option_data_types.h>`
`#include <dhcpsrv/cfgmgr.h>`
`#include <dhcpsrv/dhcpsrv_log.h>`
`#include <dhcpsrv/d2_client_mgr.h>`
`#include <dhcpsrv/ncr_generator.h>`
`#include <stdint.h>`
`#include <vector>`
`#include <util/str.h>`
Include dependency graph for ncr_generator.cc:

Go to the source code of this file.

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::dhcp

## Functions
uint32_t | isc::dhcp::calculateDdnsTtl (uint32_t lease_life_time, const util::Optional< double > &ddns_ttl_percent=util::Optional< double >(), const util::Optional< uint32_t > &ddns_ttl=util::Optional< uint32_t >(), const util::Optional< uint32_t > &ddns_ttl_min=util::Optional< uint32_t >(), const util::Optional< uint32_t > &ddns_ttl_max=util::Optional< uint32_t >())
| Calculates TTL for a DNS resource record based on lease life time.
void | isc::dhcp::queueNCR (const dhcp_ddns::NameChangeType &chg_type, const Lease4Ptr &lease)
| Creates name change request from the DHCPv4 lease.
void | isc::dhcp::queueNCR (const dhcp_ddns::NameChangeType &chg_type, const Lease6Ptr &lease)
| Creates name change request from the DHCPv6 lease.